# MatNullSpace

Object that removes a null space from a vector, i.e. orthogonalizes the vector to a subsapce

### Synopsis

    typedef struct _p_MatNullSpace* MatNullSpace;

### Users manual sections

Section 4.15 Solving Singular Systems -

### See Also

MatNullSpaceCreate()

Level:advanced
Location: src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages